## Scatter Plot with Smooth Curve Fitted by Loess

## Usage

    scatter.smooth(x, y, span=2/3, degree=1,
        family=c("symmetric", "gaussian"),
        xlab=deparse(substitute(x)), ylab=deparse(substitute(y)),
        evaluation=50, ...)
    panel.smooth(x, y, span=2/3, degree=1,
        family=c("symmetric", "gaussian"), zero.line=F, evaluation=50, ...)
    loess.smooth(x, y, span=2/3, degree=1,
        family=c("symmetric", "gaussian"), zero.line=F, evaluation=50, ...)

## Arguments

`x` | x coordinates for scatter plot.
`y` | y coordinates for scatter plot.
`span` | smoothness parameter for `loess`.
`degree` | degree of local polynomial used.
`family` | if `family="gaussian"` fitting is by least-squares, and if `family="symmetric"` a re-descending M estimator is used.
`xlab` | label for x axis.
`ylab` | label for y axis.
`zero.line` | logical for plotting a horizontal line at zero – used for residual plots.
`evaluation` | number of points at which to evaluate the smooth curve.
`...` | graphical parameters.

## Description

Plot (`scatter.smooth`) and add a smooth curve computed by `loess` to a scatter plot. `loess.smooth` is an auxiliary function used by the other two.

## Value

None.

## Author(s)

B.D. Ripley

## See Also

`loess`

## Examples

    data(cars)
    attach(cars)
    scatter.smooth(speed, dist)
    detach()

[Package Contents]